Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 785247

Summary: games-emulation/ppsspp-1.11.3 - /.../MediaEngine.cpp: error: AVStream {aka struct AVStream} has no member named request_probe
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Maciej Barć <xgqt>
Status: RESOLVED FIXED    
Severity: normal CC: chain, proxy-maint, sam
Priority: Normal Keywords: PullRequest
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/21456
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tar.bz2
games-emulation:ppsspp-1.11.3:20210422-202738.log
logs.tar.bz2
temp.tar.bz2

Description Toralf Förster gentoo-dev 2021-04-23 14:55:26 UTC
      |                     ^~~~~
/var/tmp/portage/games-emulation/ppsspp-1.11.3/work/ppsspp-1.11.3/Core/HW/MediaEngine.cpp: In member function ‘bool MediaEngine::addVideoStream(int, int)’:
/var/tmp/portage/games-emulation/ppsspp-1.11.3/work/ppsspp-1.11.3/Core/HW/MediaEngine.cpp:414:12: error: ‘AVStream’ {aka ‘struct AVStream’} has no member named ‘request_probe’
  414 |    stream->request_probe = 0;
      |            ^~~~~~~~~~~~~
/var/tmp/portage/games-emulation/ppsspp-1.11.3/work/ppsspp-1.11.3/Core/HW/MediaEngine.cpp: In member function ‘bool MediaEngine::setVideoStream(int, bool)’:

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_developer-20210410-103050

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-10.3.0 *
clang version 12.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.0
Python 3.8.9
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.51.0
  [2]   rust-1.51.0 *
The following VMs are available for generation-2:
1)	JamVM JDK 2.0.0 [jamvm]
*)	AdoptOpenJDK 8.282_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   jamvm 
  [2]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Thu Apr 22 20:05:09 UTC 2021

emerge -qpvO games-emulation/ppsspp
[ebuild  N    ] games-emulation/ppsspp-1.11.3  USE="sdl system-ffmpeg -discord -qt5"
Comment 1 Toralf Förster gentoo-dev 2021-04-23 14:55:27 UTC
Created attachment 701997 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-04-23 14:55:29 UTC
Created attachment 702000 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-04-23 14:55:30 UTC
Created attachment 702003 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-04-23 14:55:32 UTC
Created attachment 702006 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-04-23 14:55:34 UTC
Created attachment 702009 [details]
games-emulation:ppsspp-1.11.3:20210422-202738.log
Comment 6 Toralf Förster gentoo-dev 2021-04-23 14:55:35 UTC
Created attachment 702012 [details]
logs.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2021-04-23 14:55:36 UTC
Created attachment 702015 [details]
temp.tar.bz2
Comment 8 Szymon Szypulski 2021-04-27 05:02:51 UTC
It works when emerged with USE="-system-ffmpeg", maybe it shouldn't possible to compile ppsspp otherwise?
Comment 9 Sam James archtester gentoo-dev Security 2021-04-27 05:11:46 UTC
(In reply to Szymon Szypulski from comment #8)
> It works when emerged with USE="-system-ffmpeg", maybe it shouldn't possible
> to compile ppsspp otherwise?

It’s because of the new ffmpeg version (the old, bundled one is now vulnerable)
Comment 10 Sam James archtester gentoo-dev Security 2021-05-09 01:52:51 UTC
ping Maciej, looks like there's some useful commits upstream
Comment 11 Maciej Barć 2021-05-09 15:13:59 UTC
(In reply to Sam James from comment #10)
> ping Maciej, looks like there's some useful commits upstream

Which commits do you mean?
Comment 12 Sam James archtester gentoo-dev Security 2021-05-10 10:59:59 UTC
(In reply to Maciej Barć from comment #11)
> (In reply to Sam James from comment #10)
> > ping Maciej, looks like there's some useful commits upstream
> 
> Which commits do you mean?

I went to the GitHub repo and looked for mentions of ffmpeg/relevant strings from the error message here.

https://github.com/hrydgard/ppsspp/commit/54dd4e4c0cd7d5d42347a8eb976f8638022e451f looks relevant but there's some others mentioning ffmpeg too.
Comment 13 Sam James archtester gentoo-dev Security 2021-05-11 13:26:51 UTC
https://github.com/Homebrew/homebrew-core/commit/135d54391b71833f38efc1c011c71ef4f0d24da6

... but this package is ~arch only, so no need to block stabilisation of ffmpeg anyway.
Comment 14 Sam James archtester gentoo-dev Security 2021-06-10 03:24:38 UTC
ping
Comment 15 Larry the Git Cow gentoo-dev 2021-07-05 17:59:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8d03be9e6526066434f326a76da5a5ad063498e

commit a8d03be9e6526066434f326a76da5a5ad063498e
Author:     Maciej Barć <xgqt@riseup.net>
AuthorDate: 2021-06-28 15:26:50 +0000
Commit:     Ionen Wolkens <ionen@gentoo.org>
CommitDate: 2021-07-05 17:58:55 +0000

    games-emulation/ppsspp: bump to 1.11.3_p20210627
    
    Snapshot from 27.06.2021,
    update some submodules and add zstd submodule.
    Remove (non) system-ffmpeg as new ffmpeg works fine
    and the non-system ffmpeg used is quite outdated.
    This version does not fail with new ffmpeg,
    so with update close #785247
    
    Closes: https://bugs.gentoo.org/785247
    Package-Manager: Portage-3.0.20, Repoman-3.0.2
    Signed-off-by: Maciej Barć <xgqt@riseup.net>
    Closes: https://github.com/gentoo/gentoo/pull/21456
    Signed-off-by: Ionen Wolkens <ionen@gentoo.org>

 games-emulation/ppsspp/Manifest                    |  10 +++
 .../ppsspp/ppsspp-1.11.3_p20210627.ebuild          | 100 +++++++++++++++++++++
 2 files changed, 110 insertions(+)